<?php
	$path = "../../";
	
	$headTitle = "Competition Meter";
	$pageTitle = "Competition Meter";
	
	require $path . "includes/header.php";
	require $path . "includes/dom.php";
	
	if(!$_POST['tags']) header("Location: index.php");
	
	$googleResult = file_get_html("http://www.google.com/search?q=" . urlencode($_POST['tags']));
	$amountResults = $googleResult->find("div[id=resultStats]", 0);
	
	$amountResults = str_replace("About ", "", $amountResults->innertext);
	$amountResults = str_replace(" results ", "", $amountResults);
	$amountResults = str_replace(",", "", $amountResults);
	
	$wentOver = false;
	$competitionPercentile = round(($amountResults / 15000000) * 100);
	
	if($competitionPercentile > 100) { $competitionPercentile = 100; $wentOver = true; }
?>

<div class="Column-3">
	<div class="Section Gray">
		<b class="HeaderTitle">Inputted Keywords Used</b>
		
		<p>You provided these tags for us to determine the competition between:</p>
		<p><?=$_POST['tags'];?></p>
	</div>
</div>

<div class="Column-3">
	<div class="Section Gray">
		<b class="HeaderTitle">Quick Competition Overview</b>
		
		<p>We found this number of websites relevant to what you provided us with:</p>
		<p>About <?=number_format($amountResults);?> websites.</p>
	</div>
</div>

<div class="Column-3">
	<div class="Section Blue">
		<b class="HeaderTitle">Competition Meter</b>
		
		<p>
			<div class="ProgressBar">
				<div class="Fill" style="width: <?=$competitionPercentile;?>%;"></div>
			</div>
		</p>
		
		<p>
			You have a current competition of <?=$competitionPercentile;?>%.
		</p>
		<p>
			We recommend having a competition under 75%. If you do not meet this standard,
			please try tuning your provided keyphrases.
		</p>
	</div>
</div>

<?php
	require $path . "includes/footer.php";
?>
