<?php
	$path = "../../";
	
	$headTitle = "PageRank Check";
	$pageTitle = "PageRank Results";
	require $path . "includes/header.php";
	require $path . "includes/dom.php";
?>

	<p>
		Your PageRank determines where you are being placed on Google. 0 is the worst possible PageRank, while 9 is the highest and best. Websites
		like Twitter, Facebook, and Google, all have a PageRank 9. Here is what your PageRank is.
	</p>
	
	<div class="Column-3">
		<div class="Section Gray">
			<b class="HeaderTitle">Your Current PageRank</b>
			
			<p>Website @ <?=$_POST['url'];?></p>
			<p>Current PageRank of <?=number_format(GooglePageRankChecker::getRank(@$_POST['url']));?></p>
			<p>
				<div class="ProgressBar">
					<div class="Fill" style="width: <?=round((number_format(GooglePageRankChecker::getRank(@$_POST['url']))/9) * 100);?>%;"></div>
				</div>
			</p>
		</div>
	</div>
	
	<div class="Clear"></div>
	
<?php
	require $path . "includes/footer.php";
?>
