<?php
	$path = "../../";
	
	$headTitle = "Website Speed Test";
	$pageTitle = "Website Speed Test";
	require $path . "includes/header.php";
	
	$url = $_POST['url'];
	
	$time = microtime();
	$time = explode(' ', $time);
	$time = $time[1] + $time[0];
	$start = $time;
	
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/535.6 (KHTML, like Gecko) Chrome/16.0.897.0 Safari/535.6'); 
	curl_setopt($ch, CURLOPT_HEADER, true);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 10);
	curl_setopt($ch, CURLOPT_REFERER, "http://www.bluefiremedia.net/?#seo-tools/ping");
	$html = curl_exec($ch);
	curl_close($ch);
	
	$time = microtime();
	$time = explode(' ', $time);
	$time = $time[1] + $time[0];
	$finish = $time;
	$total_time = round(($finish - $start), 4);
	
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, "http://api.bluefiremedia.net/ping.php?url=" . $url);
	curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 5.1) AppleWebKit/535.6 (KHTML, like Gecko) Chrome/16.0.897.0 Safari/535.6'); 
	curl_setopt($ch, CURLOPT_HEADER, false);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 10);
	curl_setopt($ch, CURLOPT_REFERER, "#MjUxMzkwMg==_B64");
	$html = curl_exec($ch);
	curl_close($ch);
	
	$result = json_decode($html, true);
	$remote = $result['Result']['Ping'];
?>

	<div>
		<div class="Section Gray" style="margin-bottom: 15px;">
			<div class='Column-3' style="width: 200px; overflow-x: none;">
				<script type='text/javascript' src='https://www.google.com/jsapi'></script>
				<script type='text/javascript'>
				  google.load('visualization', '1', {packages:['gauge']});
				  google.setOnLoadCallback(drawChart);
				  function drawChart() {
					var data = google.visualization.arrayToDataTable([
					  ['Label', 'Value'],
					  ['Speed', <?=round($total_time);?>]
					]);

					var options = {
					  width: 180, height: 180,
					  redFrom: 7, redTo: 10,
					  yellowFrom: 5, yellowTo: 7,
					  minorTicks: 5,
					  max: 10
					};

					var chart = new google.visualization.Gauge(document.getElementById('chart_div'));
					chart.draw(data, options);
				  }
				</script>
				<div id='chart_div'></div>
			</div>
			<div class='Column-2'>
				<b class="HeaderTitle">Local Ping Results</b>
				
				<p style="margin-top:2em;">We just pinged your website, <?=$url;?>, from this web server. It got back to us in <?=$total_time;?> seconds.</p>
				<p>Remember that if the website is on the same server as this SEO tool, results are likely to be untrue. Look below for results from another server.</p>
			</div>
			<div class='Clear'></div>
		</div>
	</div>
	
	<div>
		<div class="Section Gray" style="margin-bottom: 15px;">
			<div class='Column-3' style="width: 200px; overflow-x: none;">
				<script type='text/javascript' src='https://www.google.com/jsapi'></script>
				<script type='text/javascript'>
				  google.load('visualization', '1', {packages:['gauge']});
				  google.setOnLoadCallback(drawChart);
				  function drawChart() {
					var data = google.visualization.arrayToDataTable([
					  ['Label', 'Value'],
					  ['Speed', <?=round($remote);?>]
					]);

					var options = {
					  width: 180, height: 180,
					  redFrom: 7, redTo: 10,
					  yellowFrom: 5, yellowTo: 7,
					  minorTicks: 5,
					  max: 10
					};

					var chart = new google.visualization.Gauge(document.getElementById('chart_div2'));
					chart.draw(data, options);
				  }
				</script>
				<div id='chart_div2'></div>
			</div>
			<div class='Column-2'>
				<b class="HeaderTitle">Remote Ping Results</b>
				
				<p style="margin-top:2em;">We just pinged your website, <?=$url;?>, from Missouri, USA. It got back to us in <?=$remote;?> seconds.</p>
				<p>This is not the internal loading speed. If you want that, look at the result above. This shows results from the Bluefire Media Ping API.</p>
			</div>
			<div class='Clear'></div>
		</div>
	</div>

<?php
	require $path . "includes/footer.php";
?>
