<?php
	$headTitle = "Main";
	$pageTitle = "Browse Tools";
	require "includes/header.php";
?>

	<p style="margin-bottom: 25px;">
		Welcome to <?=$websiteName;?>, the first destination for your Search Engine Optimization needs. Below is a series of tools hosted under this
		single project. These tools can come in handy for any website, and should be something everyone has. To use a tool, click on it.
	</p>
	
	<div class="ItemRow Columns" style="margin-bottom: 15px;">
		<?php
			$tools = glob("tools/" . "*", GLOB_ONLYDIR);
			
			$index = 0;
			foreach($tools as $toolDir) {
				$handle = fopen($toolDir . "/manifest.json", "r");
				$contents = fread($handle, filesize($toolDir . "/manifest.json"));
				fclose($handle);
				
				$manifest = json_decode($contents, true);
		?>
			
		<div class="Column-3">
			<a href="<?=$toolDir;?>/index.php" style="text-decoration: none;">
			<div class="ToolOption">
				<div class="Tool Icon">
					<img src="<?=$toolDir;?>/icon.png" alt="<?=$manifest['Name'];?>">
				</div>
				<div class="Tool Info">
					<b><?=$manifest['Name'];?></b>
					<?=$manifest['Description'];?>
				</div>
				<div class="Clear"></div>
			</div>
			</a>
		</div>
			
		<?php
				$index++;
				if($index == 3) {
					$index = 0;
		?>
		<div class='Clear'></div>
	</div>
	<div class="ItemRow Columns" style="margin-bottom: 15px;">
		<?php
				}
			}
		?>
	</div>
	<div class="Clear"></div>
	
<?php
	require "includes/footer.php";
?>
