<?php
	$path = "../../";
	
	$headTitle = "Meta Tag Generator";
	$pageTitle = "Meta Tag Generator Results";
	require $path . "includes/header.php";
	
	$code = "";
	
	// Define Variables //
	// Feel free to add your own! //
	
	$description 		= $_POST['description'];
	$keywords 			= $_POST['keywords'];
	$robots 			= $_POST['robots'];
	$revisitAfter 		= $_POST['revisit'];
	$contentType		= $_POST['content_type'];
	$webLanguage 		= $_POST['language'];
	$webGenerator 		= $_POST['generator'];
	
	// Before we begin, we need to format some of these variables.
	
	$description = str_replace("\n", "", $description);
	$description = str_replace("\r\n", "", $description);
	$description = str_replace('"', "", $description);
	
	$keywords = str_replace("\n", "", $keywords);
	$keywords = str_replace("\r\n", "", $keywords);
	$keywords = str_replace('"', "", $keywords);
	
	// Let's compile it all.
	
	$code .= '<meta name="description" content="' . $description . '">' . PHP_EOL;
	$code .= '<meta name="keywords" content="' . $keywords . '">' . PHP_EOL;
	$code .= '<meta name="robots" content="' . $robots . '">' . PHP_EOL;
	$code .= '<meta name="revisit-after" content="' . $revisitAfter . '">' . PHP_EOL;
	$code .= '<meta name="language" content="' . $webLanguage . '">' . PHP_EOL;
	$code .= '<meta name="generator" content="' . $webGenerator . '">' . PHP_EOL;
	$code .= '<meta http-equiv="Content-Type" content="' . $contentType . '">' . PHP_EOL;
	
	// Walah. That was easy. Now, we need to format the result. Then we can finish up.
	
	$code = str_replace("<", "&lt;", $code);
	$code = str_replace(">", "&gt;", $code);
?>

<div class="Section Gray">
	<b class="HeaderTitle">Generated HTML Code</b>
	<p>We finished compiling your settings into some HTML code. Have a look below. You can copy and paste this onto your HTML document(s).</p>
	
	<p>
		<pre><?=$code;?></pre>
	</p>
</div>

<p>
	Want to generate another set of HTML code? Then <a href="javascript:history.go(-1);">Click here to go back.</a>
</p>

<?php
	require $path . "includes/footer.php";
?>