<?php
	$path = "../../";
	
	$headTitle = "Mobile Compatability Checker";
	$pageTitle = "Mobile Compatability Checker";
	require $path . "includes/header.php";
?>

	<p>
		Responsive websites are the new thing. They automatically move stuff around and change the page design when the screen becomes a certain size,
		without the need to reload the page or redirect the user. This tool will give you a preview of what your website looks like on certain device sizes.
	</p>
	
	<p>
		Choose a phone or device to preview from. Then provide your URL, and click the button.
	</p>
	
	<div class="Popout">
		<form action="preview.php" method="POST">
			<input type="text" name="url" class="textbox" style="width: 500px;" placeholder="http://www.mywebsitename.com/index.html" />
			<br />
			<select name="device" class="select" style="width: 515px;">
				<option value="480x320">Apple iPhone 4/4S</option>
				<option value="1136x640">Apple iPhone 5</option>
				<option value="800x400">Sony Erricson Xperia</option>
				<option value="400x240">LG + Samsung</option>
				<option value="720x1280">HTC One X / One X+</option>
				<option value="480x800">Desire / Nexus</option>
				<option value="1920x1080">HTC One</option>
				<option value="720x1280">Xperia S</option>
				<option value="480x854">Xperia Sola</option>
				<option value="854x480">Xperia U</option>
				<option value="720x1280">Xperia Ion</option>
				<option value="1920x1080">Xperia Z</option>
				<option value="1920x1080">Microsoft Surface Pro</option>
				<option value="1366x768">Microsoft Surface</option>
			</select>
			<input type="submit" class="mbutton" value="Check" />
		</form>
	</div>

<?php
	require $path . "includes/footer.php";
?>