<?php
	$path = "../../";
	
	$headTitle = "Robots.txt Builder";
	$pageTitle = "Robots.txt Builder";
	require $path . "includes/header.php";
	
	$bots = array(
		'Googlebot',
		'googlebot-image',
		'googlebot-mobile',
		'MSNBot',
		'psbot',
		'Slurp',
		'yahoo-mmcrawler',
		'yahoo-blogs/v3.9',
		'teoma',
		'Scrubby',
		'ia_archiver'
	);
	$blocked = array(
		$_POST['dir1'],
		$_POST['dir2'],
		$_POST['dir3'],
		$_POST['dir4'],
		$_POST['dir5'],
		$_POST['dir6'],
		$_POST['dir7']
	);
	
	$robots = "";
	
	foreach($bots as $b) {
		$robots .= "User-agent: " . $b . PHP_EOL;
		$robots .= "Disallow: " . $_POST[$b] . PHP_EOL . PHP_EOL;
	}
	
	$robots .= "User-agent: *" . PHP_EOL;
	foreach($blocked as $b) {
		if($b != '') {
			$robots .= "Disallow: " . $b . PHP_EOL;
		}
	}
?>

	<form action="clean.php" method="POST">
		<div class="Section Gray" style="margin-bottom: 15px;">
			<b class="HeaderTitle">Compiled Robots File</b>
			
			<p>Here is the final compiled robots.txt file.</p>
			
			<pre><?=$robots;?></pre>
		</div>
	</form>
	
<?php
	require $path . "includes/footer.php";
?>
